%define module_name	ltmodem
%define module_version	8.26a9
%define module_release	alt3.36

%define kversion	2.4.22
%define krelease	alt36
%define flavour		std-smp

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define kgcc		gcc-2.96

%ifdef use_ccache
%define kcc "ccache %kgcc"
%else
%define kcc "%kgcc"
%endif

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: %module_name modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: Distributable
Group: System/Kernel and hardware
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://www.kernel.org/
BuildPreReq:	kernel-build-tools
BuildRequires: %kgcc_package
BuildRequires: modutils
BuildRequires: perl
BuildRequires: rpm >= 4.0.2-75
BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
Modules for Lucent/Agere based Winmodems

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
CC=%kcc ./configure --with-force --with-kernel=%_includedir/linux-%kversion-%flavour
%make_build -e GCCVERSION=`echo %kgcc | head -c5 | tail -c1`

%install
mkdir -p $RPM_BUILD_ROOT/%module_dir
make install ROOTDIR=$RPM_BUILD_ROOT

%post
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 8.26a9-alt3.36
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 8.26a9-alt2.36
- Fixed spec file name.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 8.26a9-alt1.36
- imported to ALT Linux kernel CVS

* Mon Sep 08 2003 Andrey Rahmatullin <wrar@mail.ru> 8.26a9-wrar0.6
- rebuilt with 2.4.21rel-alt14

* Mon Sep 08 2003 Andrey Rahmatullin <wrar@mail.ru> 8.26a9-wrar0.5
- rebuilt with 2.4.22-wrar1

* Tue Sep 02 2003 Andrey Rahmatullin <wrar@mail.ru> 8.26a9-wrar0.4
- 2.4.22rel-wrar2

* Fri Aug 29 2003 Andrey Rahmatullin <wrar@mail.ru> 8.26a9-wrar0.3
- 2.4.22rel-wrar1
- added --with-force option

* Fri Aug 29 2003 Andrey Rahmatullin <wrar@mail.ru> 8.26a9-wrar0.2
- gcc 2 support

* Thu Aug 28 2003 Andrey Rahmatullin <wrar@mail.ru> 8.26a9-wrar0.1
- first build
- kernel 2.4.22rel-wrar0.2
